maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Martin Höller <mar...@xss.co.at>
Subject Re: Maven eclipse plugin - SNAPSHOT 2.5 and wtp 2.0
Date Wed, 05 Mar 2008 10:27:00 GMT
Hi!

On Wednesday 05 March 2008 Salgar, Mehmet (external) wrote:
> I thought I can create a eclipse wtp 2.0 project, but even that I use
> the following command
>
> mvn -Dwtpversion=2.0
> org.apache.maven.plugins:maven-eclipse-plugin:2.5-SNAPSHOT:eclipse
>
> I am still getting this from maven
>
> [INFO] [eclipse:eclipse]
> [INFO] Adding support for WTP version 1.5.
> [INFO] Using as WTP server : null
>
> So is that mean it is still creating 1.5 project or this is an error in
> logging.....

As Arnaud already replied [0] it might be an issue with command line
arguments vs. configuration via pom.xml. I can say that it all works well
when you specify things in your pom.xml like this:

        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-eclipse-plugin</artifactId>
          <version>2.5-SNAPSHOT</version>
          <configuration>
            <downloadSources>false</downloadSources>
            <downloadJavadocs>false</downloadJavadocs>
            <wtpversion>2.0</wtpversion>
            <wtpmanifest>true</wtpmanifest>
            <wtpapplicationxml>true</wtpapplicationxml>
          </configuration>
        </plugin>

Try putting configuration in your pom and report back if it works. If it
does there is definitely an issue with command line arguments that should be
(or may already be) in jira.

hth,
- martin

[0] http://www.nabble.com/Re:-Maven-eclipse-plugin---2.5-SNAPSHOT-to15833826s177.html
-- 
Martin Höller                   | martin.hoeller@xss.co.at
*x Software + Systeme           | http://www.xss.co.at/
Karmarschgasse 51/2/20          | Tel: +43-1-6060114-30
A-1100 Vienna, Austria          | Fax: +43-1-6060114-71

Mime
View raw message